> ## Documentation Index
> Fetch the complete documentation index at: https://anyip.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List team payments

> Paginated team payment list with search, gateway/productName/status filters, and created_at ordering. Default sort is newest first. Team owner only.



## OpenAPI

````yaml /openapi.json get /api/teams/{team_id}/payments
openapi: 3.1.0
info:
  title: AnyIP.io API documentation
  description: API documentation
  version: 1.0.0
servers:
  - url: /
    description: ''
security:
  - apiHeader: []
tags:
  - name: Export
    description: Export operations
  - name: IPWhitelist
    description: Supplementary IP whitelist operations
  - name: Payment
    description: Team payment invoice download
  - name: ProxyAccount
    description: Resource 'ProxyAccount' operations.
  - name: ProxyProfile
    description: Supplementary proxy profile operations
  - name: Tag
    description: Core tag operations
  - name: Team
    description: NOWPayments subscription operations
  - name: Traffic
    description: Resource 'Traffic' operations.
  - name: User
    description: Deprecated user subscription and payment operations
paths:
  /api/teams/{team_id}/payments:
    get:
      tags:
        - Payment
      summary: List team payments
      description: >-
        Paginated team payment list with search, gateway/productName/status
        filters, and created_at ordering. Default sort is newest first. Team
        owner only.
      operationId: team_get_payments
      parameters:
        - name: team_id
          in: path
          description: Team identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
        - name: page
          in: query
          description: The collection page number
          required: false
          deprecated: false
          schema:
            type: integer
            default: 1
          style: form
          explode: true
        - name: itemsPerPage
          in: query
          description: The number of items per page
          required: false
          deprecated: false
          schema:
            type: integer
            default: 30
            minimum: 0
            maximum: 30
          style: form
          explode: true
        - name: search
          in: query
          description: ''
          required: false
          deprecated: false
          schema:
            type: string
          style: form
          explode: false
          example: john
        - name: gateway
          in: query
          description: ''
          required: false
          deprecated: false
          schema:
            type: string
          style: form
          explode: false
        - name: gateway[]
          in: query
          description: ''
          required: false
          deprecated: false
          schema:
            type: array
            items:
              type: string
          style: form
          explode: true
        - name: status
          in: query
          description: ''
          required: false
          deprecated: false
          schema:
            type: string
          style: form
          explode: false
        - name: status[]
          in: query
          description: ''
          required: false
          deprecated: false
          schema:
            type: array
            items:
              type: string
          style: form
          explode: true
        - name: product_name
          in: query
          description: ''
          required: false
          deprecated: false
          schema:
            type: string
          style: form
          explode: false
        - name: product_name[]
          in: query
          description: ''
          required: false
          deprecated: false
          schema:
            type: array
            items:
              type: string
          style: form
          explode: true
        - name: order[created_at]
          in: query
          description: ''
          required: false
          deprecated: false
          schema:
            type: string
            default: desc
            enum:
              - asc
              - desc
          style: form
          explode: false
      responses:
        '200':
          description: Payment collection
          content:
            application/ld+json:
              schema:
                type: object
                description: Payment.jsonld-payment.read_billing_detail.read collection.
                allOf:
                  - $ref: '#/components/schemas/HydraCollectionBaseSchema'
                  - type: object
                    required:
                      - hydra:member
                    properties:
                      hydra:member:
                        type: array
                        items:
                          $ref: >-
                            #/components/schemas/Payment.jsonld-payment.read_billing_detail.read
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/Payment-payment.read_billing_detail.read
            text/html:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/Payment.html-payment.read_billing_detail.read
        '403':
          description: Forbidden
          content:
            application/ld+json:
              schema:
                $ref: '#/components/schemas/Error.jsonld'
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Error'
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          links: {}
components:
  schemas:
    HydraCollectionBaseSchema:
      allOf:
        - $ref: '#/components/schemas/HydraCollectionBaseSchemaNoPagination'
        - type: object
          properties:
            hydra:view:
              type: object
              properties:
                '@id':
                  type: string
                  format: iri-reference
                '@type':
                  type: string
                hydra:first:
                  type:
                    - string
                    - 'null'
                  format: iri-reference
                hydra:last:
                  type:
                    - string
                    - 'null'
                  format: iri-reference
                hydra:previous:
                  type:
                    - string
                    - 'null'
                  format: iri-reference
                hydra:next:
                  type:
                    - string
                    - 'null'
                  format: iri-reference
              example:
                '@id': string
                '@type': string
                hydra:first: string
                hydra:last: string
                hydra:previous: string
                hydra:next: string
    Payment.jsonld-payment.read_billing_detail.read:
      allOf:
        - $ref: '#/components/schemas/HydraItemBaseSchema'
        - type: object
          properties:
            id:
              readOnly: true
              type: string
            team:
              anyOf:
                - $ref: >-
                    #/components/schemas/Team.jsonld-payment.read_billing_detail.read
                - type: 'null'
            payment_id:
              type:
                - string
                - 'null'
            subscription_id:
              type: string
            gateway:
              type: string
            price:
              default: 0
              type: number
            product_name:
              type: string
            quantity:
              type: integer
            receipt_url:
              type:
                - string
                - 'null'
            status:
              type: string
            billing_detail:
              anyOf:
                - $ref: >-
                    #/components/schemas/BillingDetail.jsonld-payment.read_billing_detail.read
                - type: 'null'
            created_at:
              type: string
              format: date-time
            updated_at:
              type: string
              format: date-time
            gateway_label:
              readOnly: true
              type:
                - string
                - 'null'
      description: Team payment list operations
    Payment-payment.read_billing_detail.read:
      type: object
      description: Team payment list operations
      properties:
        id:
          readOnly: true
          type: string
        team:
          anyOf:
            - $ref: '#/components/schemas/Team-payment.read_billing_detail.read'
            - type: 'null'
        payment_id:
          type:
            - string
            - 'null'
        subscription_id:
          type: string
        gateway:
          type: string
        price:
          default: 0
          type: number
        product_name:
          type: string
        quantity:
          type: integer
        receipt_url:
          type:
            - string
            - 'null'
        status:
          type: string
        billing_detail:
          anyOf:
            - $ref: >-
                #/components/schemas/BillingDetail-payment.read_billing_detail.read
            - type: 'null'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        gateway_label:
          readOnly: true
          type:
            - string
            - 'null'
    Payment.html-payment.read_billing_detail.read:
      type: object
      description: Team payment list operations
      properties:
        id:
          readOnly: true
          type: string
        team:
          anyOf:
            - $ref: '#/components/schemas/Team.html-payment.read_billing_detail.read'
            - type: 'null'
        payment_id:
          type:
            - string
            - 'null'
        subscription_id:
          type: string
        gateway:
          type: string
        price:
          default: 0
          type: number
        product_name:
          type: string
        quantity:
          type: integer
        receipt_url:
          type:
            - string
            - 'null'
        status:
          type: string
        billing_detail:
          anyOf:
            - $ref: >-
                #/components/schemas/BillingDetail.html-payment.read_billing_detail.read
            - type: 'null'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        gateway_label:
          readOnly: true
          type:
            - string
            - 'null'
    Error.jsonld:
      allOf:
        - $ref: '#/components/schemas/HydraItemBaseSchema'
        - type: object
          properties:
            title:
              readOnly: true
              description: A short, human-readable summary of the problem.
              type:
                - string
                - 'null'
            detail:
              readOnly: true
              description: >-
                A human-readable explanation specific to this occurrence of the
                problem.
              type:
                - string
                - 'null'
            status:
              type:
                - integer
                - 'null'
              examples:
                - 404
              default: 400
            instance:
              readOnly: true
              description: >-
                A URI reference that identifies the specific occurrence of the
                problem. It may or may not yield further information if
                dereferenced.
              type:
                - string
                - 'null'
            type:
              readOnly: true
              description: A URI reference that identifies the problem type
              type: string
            description:
              readOnly: true
              type:
                - string
                - 'null'
      description: A representation of common errors.
    Error:
      type: object
      description: A representation of common errors.
      properties:
        title:
          readOnly: true
          description: A short, human-readable summary of the problem.
          type:
            - string
            - 'null'
        detail:
          readOnly: true
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          type:
            - string
            - 'null'
        status:
          type:
            - integer
            - 'null'
          examples:
            - 404
          default: 400
        instance:
          readOnly: true
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem. It may or may not yield further information if
            dereferenced.
          type:
            - string
            - 'null'
        type:
          readOnly: true
          description: A URI reference that identifies the problem type
          type: string
    HydraCollectionBaseSchemaNoPagination:
      type: object
      properties:
        hydra:totalItems:
          type: integer
          minimum: 0
        hydra:search:
          type: object
          properties:
            '@type':
              type: string
            hydra:template:
              type: string
            hydra:variableRepresentation:
              type: string
            hydra:mapping:
              type: array
              items:
                type: object
                properties:
                  '@type':
                    type: string
                  variable:
                    type: string
                  property:
                    type:
                      - string
                      - 'null'
                  required:
                    type: boolean
    HydraItemBaseSchema:
      type: object
      properties:
        '@context':
          oneOf:
            - type: string
            - type: object
              properties:
                '@vocab':
                  type: string
                hydra:
                  type: string
                  enum:
                    - http://www.w3.org/ns/hydra/core#
              required:
                - '@vocab'
                - hydra
              additionalProperties: true
        '@id':
          type: string
        '@type':
          type: string
      required:
        - '@id'
        - '@type'
    Team.jsonld-payment.read_billing_detail.read:
      allOf:
        - $ref: '#/components/schemas/HydraItemBaseSchema'
        - type: object
          properties:
            created_at:
              type: string
              format: date-time
            updated_at:
              type: string
              format: date-time
      description: Basic CRUD operations
    BillingDetail.jsonld-payment.read_billing_detail.read:
      type: object
      properties:
        name:
          maxLength: 150
          type:
            - string
            - 'null'
        company_name:
          maxLength: 150
          type:
            - string
            - 'null'
        company_id:
          maxLength: 100
          type:
            - string
            - 'null'
        address1:
          maxLength: 150
          type:
            - string
            - 'null'
        address2:
          maxLength: 150
          type:
            - string
            - 'null'
        country:
          type:
            - string
            - 'null'
        city:
          maxLength: 50
          type:
            - string
            - 'null'
        state:
          maxLength: 50
          type:
            - string
            - 'null'
        postal_code:
          maxLength: 50
          type:
            - string
            - 'null'
        billing_email:
          format: email
          externalDocs:
            url: https://schema.org/email
          type:
            - string
            - 'null'
        registration_number:
          maxLength: 50
          type:
            - string
            - 'null'
    Team-payment.read_billing_detail.read:
      type: object
      properties:
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    BillingDetail-payment.read_billing_detail.read:
      type: object
      properties:
        name:
          maxLength: 150
          type:
            - string
            - 'null'
        company_name:
          maxLength: 150
          type:
            - string
            - 'null'
        company_id:
          maxLength: 100
          type:
            - string
            - 'null'
        address1:
          maxLength: 150
          type:
            - string
            - 'null'
        address2:
          maxLength: 150
          type:
            - string
            - 'null'
        country:
          type:
            - string
            - 'null'
        city:
          maxLength: 50
          type:
            - string
            - 'null'
        state:
          maxLength: 50
          type:
            - string
            - 'null'
        postal_code:
          maxLength: 50
          type:
            - string
            - 'null'
        billing_email:
          format: email
          externalDocs:
            url: https://schema.org/email
          type:
            - string
            - 'null'
        registration_number:
          maxLength: 50
          type:
            - string
            - 'null'
    Team.html-payment.read_billing_detail.read:
      type: object
      properties:
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    BillingDetail.html-payment.read_billing_detail.read:
      type: object
      properties:
        name:
          maxLength: 150
          type:
            - string
            - 'null'
        company_name:
          maxLength: 150
          type:
            - string
            - 'null'
        company_id:
          maxLength: 100
          type:
            - string
            - 'null'
        address1:
          maxLength: 150
          type:
            - string
            - 'null'
        address2:
          maxLength: 150
          type:
            - string
            - 'null'
        country:
          type:
            - string
            - 'null'
        city:
          maxLength: 50
          type:
            - string
            - 'null'
        state:
          maxLength: 50
          type:
            - string
            - 'null'
        postal_code:
          maxLength: 50
          type:
            - string
            - 'null'
        billing_email:
          format: email
          externalDocs:
            url: https://schema.org/email
          type:
            - string
            - 'null'
        registration_number:
          maxLength: 50
          type:
            - string
            - 'null'
  securitySchemes:
    apiHeader:
      type: apiKey
      description: Value for the api-key header parameter.
      name: api-key
      in: header

````